Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  trait CompilationUnits extends AnyRef
  Definition Classes
    nsc
- CompilationUnit
- NoCompilationUnit

c

scala.tools.nsc.CompilationUnits

# CompilationUnit

###

#### class CompilationUnit extends Global.CompilationUnitContextApi

One unit of compilation that has been submitted to the compiler. It typically corresponds to a single file of source code. It includes error-reporting hooks.

Self Type
  Global.CompilationUnit
Annotations
  @nowarn()
Source
  CompilationUnits.scala

Linear Supertypes
Global.CompilationUnitContextApi, AnyRef, Any
Known Subclasses
NoCompilationUnit, RichCompilationUnit
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CompilationUnit
2. CompilationUnitContextApi
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new CompilationUnit(source: SourceFile)
2.  new CompilationUnit(source: SourceFile, freshNameCreator: FreshNameCreator)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Global.CompilationUnit toany2stringadd[Global.CompilationUnit] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Global.CompilationUnit, B)
   Implicit
     This member is added by an implicit conversion from Global.CompilationUnit toArrowAssoc[Global.CompilationUnit] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  var body: Global.Tree

   the content of the compilation unit in tree form

   the content of the compilation unit in tree form

   Definition Classes
     CompilationUnit → CompilationUnitContextApi
8.  var checkedFeatures: Set[Global.Symbol]

   The features that were already checked for this unit

9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  def encounteredXml(pos: Global.Position): Unit

    Record that we encountered XML.

    Record that we encountered XML. Should only be called once.

    Attributes
      protected[nsc]
11.  def ensuring(cond: (Global.CompilationUnit) => Boolean, msg: => Any): Global.CompilationUnit
    Implicit
      This member is added by an implicit conversion from Global.CompilationUnit toEnsuring[Global.CompilationUnit] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (Global.CompilationUnit) => Boolean): Global.CompilationUnit
    Implicit
      This member is added by an implicit conversion from Global.CompilationUnit toEnsuring[Global.CompilationUnit] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): Global.CompilationUnit
    Implicit
      This member is added by an implicit conversion from Global.CompilationUnit toEnsuring[Global.CompilationUnit] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): Global.CompilationUnit
    Implicit
      This member is added by an implicit conversion from Global.CompilationUnit toEnsuring[Global.CompilationUnit] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def exists: Boolean
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def firstXmlPos: Global.Position

    Position of first XML literal in this unit.

20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Global.CompilationUnit toStringFormat[Global.CompilationUnit] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  implicit val fresh: FreshNameCreator

    the fresh name creator

22.  def freshTermName(prefix: String = nme.FRESH_TERM_NAME_PREFIX): Global.TermName
23.  def freshTypeName(prefix: String): Global.TypeName
24.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def hasXml: Boolean

    Does this unit contain XML?

26.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  val icode: LinkedHashSet[IClass]

    For sbt compatibility (https://github.com/scala/scala/pull/4588)

28.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
29.  val isJava: Boolean

    Is this about a .java source file?

30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  def position(pos: Int): Position
34.  def registerDependency(symbol: Global.Symbol): Unit
35.  val source: SourceFile
    Definition Classes
      CompilationUnit → CompilationUnitContextApi
36.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
37.  def targetPos: Global.Position

    The position of a targeted type check If this is different from NoPosition, the type checking will stop once a tree that contains this position range is fully attributed.

38.  val toCheck: ListBuffer[() => Unit]

    things to check at end of compilation unit

39.  def toString(): String
    Definition Classes
      CompilationUnit → AnyRef → Any
40.  val transformed: AnyRefMap[Global.Tree, Global.Tree]
41.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
43.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
44.  object synthetics

    Synthetic definitions generated by namer, eliminated by typer.

### Deprecated Value Members

1.  def defined: HashSet[Global.Symbol]
   Annotations
     @deprecated
   Deprecated

     (Since version 2.12.9) Not supported

2.  def depends: HashSet[Global.Symbol]
   Annotations
     @deprecated
   Deprecated

     (Since version 2.12.9) Not supported and no longer used by Zinc

3.  def →[B](y: B): (Global.CompilationUnit, B)
   Implicit
     This member is added by an implicit conversion from Global.CompilationUnit toArrowAssoc[Global.CompilationUnit] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Global.CompilationUnitContextApi

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromGlobal.CompilationUnit to any2stringadd[Global.CompilationUnit]

### Inherited by implicit conversion StringFormat fromGlobal.CompilationUnit to StringFormat[Global.CompilationUnit]

### Inherited by implicit conversion Ensuring fromGlobal.CompilationUnit to Ensuring[Global.CompilationUnit]

### Inherited by implicit conversion ArrowAssoc fromGlobal.CompilationUnit to ArrowAssoc[Global.CompilationUnit]

### Ungrouped